package mhp.oee.po.gen;

import java.util.Date;

public class ReasonCodePO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code.SITE
     *
     * @mbggenerated
     */
    private String site;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code.REASON_CODE
     *
     * @mbggenerated
     */
    private String reasonCode;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code.DESCRIPTION
     *
     * @mbggenerated
     */
    private String description;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code.REASON_CODE_GROUP
     *
     * @mbggenerated
     */
    private String reasonCodeGroup;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code.ENABLED
     *
     * @mbggenerated
     */
    private String enabled;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code.HANDLE
     *
     * @return the value of reason_code.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code.HANDLE
     *
     * @param handle the value for reason_code.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code.SITE
     *
     * @return the value of reason_code.SITE
     *
     * @mbggenerated
     */
    public String getSite() {
        return site;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code.SITE
     *
     * @param site the value for reason_code.SITE
     *
     * @mbggenerated
     */
    public void setSite(String site) {
        this.site = site == null ? null : site.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code.REASON_CODE
     *
     * @return the value of reason_code.REASON_CODE
     *
     * @mbggenerated
     */
    public String getReasonCode() {
        return reasonCode;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code.REASON_CODE
     *
     * @param reasonCode the value for reason_code.REASON_CODE
     *
     * @mbggenerated
     */
    public void setReasonCode(String reasonCode) {
        this.reasonCode = reasonCode == null ? null : reasonCode.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code.DESCRIPTION
     *
     * @return the value of reason_code.DESCRIPTION
     *
     * @mbggenerated
     */
    public String getDescription() {
        return description;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code.DESCRIPTION
     *
     * @param description the value for reason_code.DESCRIPTION
     *
     * @mbggenerated
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code.REASON_CODE_GROUP
     *
     * @return the value of reason_code.REASON_CODE_GROUP
     *
     * @mbggenerated
     */
    public String getReasonCodeGroup() {
        return reasonCodeGroup;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code.REASON_CODE_GROUP
     *
     * @param reasonCodeGroup the value for reason_code.REASON_CODE_GROUP
     *
     * @mbggenerated
     */
    public void setReasonCodeGroup(String reasonCodeGroup) {
        this.reasonCodeGroup = reasonCodeGroup == null ? null : reasonCodeGroup.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code.ENABLED
     *
     * @return the value of reason_code.ENABLED
     *
     * @mbggenerated
     */
    public String getEnabled() {
        return enabled;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code.ENABLED
     *
     * @param enabled the value for reason_code.ENABLED
     *
     * @mbggenerated
     */
    public void setEnabled(String enabled) {
        this.enabled = enabled == null ? null : enabled.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code.CREATED_DATE_TIME
     *
     * @return the value of reason_code.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for reason_code.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code.MODIFIED_DATE_TIME
     *
     * @return the value of reason_code.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for reason_code.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code.MODIFIED_USER
     *
     * @return the value of reason_code.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code.MODIFIED_USER
     *
     * @param modifiedUser the value for reason_code.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}